## sacad 2.8.3

=== requirements.txt ===
aiohttp>=3.6
appdirs>=1.4.0
bitarray>=2.0.0
cssselect>=1.1.0
lxml>=4.0.0
mutagen>=1.31
pillow>=8.0.0
tqdm>=4.28.1
unidecode>=1.1.1
web_cache>=1.1.0

## sacad 2.7.5

=== debian/changelog ===
sacad (2.7.5-2) unstable; urgency=medium

  * upload to experimental
  * redact MPL-2, part of common licenses (thanks Thorsten)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 10 Jun 2024 23:07:06 -0400

sacad (2.7.5-1) experimental; urgency=low

  * Initial release, first pass autogenerated by py2dsp/3.20230219;
    Closes: #1057152

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 30 Apr 2024 16:04:03 +0000

=== debian/control ===
Source: sacad
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-aiohttp,
               python3-all,
               python3-appdirs (>= 1.4.0),
               python3-bitarray,
               python3-cssselect,
               python3-lxml,
               python3-mutagen,
               python3-pil,
               python3-requests,
               python3-setuptools,
               python3-tqdm,
               python3-unidecode,
               python3-web-cache,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/desbma/sacad
Vcs-Git: https://salsa.debian.org/python-team/packages/sacad.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sacad
Rules-Requires-Root: no

Package: sacad
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Search and download music album covers
 SACAD is a multi platform command line tool to download album covers
 without manual intervention, ideal for integration in scripts, audio
 players, etc.
 .
 SACAD also provides a second command line tool, sacad_r, to scan a
 music library, read metadata from audio tags, and download missing
 covers automatically, optionally embedding the image into audio 
 files.
 .
 Features
 .
  * Can target specific image size, and find results for high resolution covers
  * Support JPEG and PNG formats
  * Customizable output: save image along with the audio files / in a
    different directory named by artist/album / embed cover in audio
    files...
  * Currently support the following cover sources:
    * Amazon CD (.com, .ca, .cn, .fr, .de, .co.jp and .co.uk variants)
    * Amazon digital music
    * CoverLib (site is dead)
    * Deezer
    * Discogs
    * Google Images (removed, too unreliable)
    * Last.fm
    * Itunes
  * Smart sorting algorithm to select THE best cover for a given query,
    using several factors: source reliability, image format, image
    size, image similarity with reference cover, etc.
  * Automatically crunch images with optipng, oxipng or jpegoptim (can
    save 30% of filesize without any loss of quality, great for
    portable players)
  * Cache search results locally for faster future search
  * Do everything to avoid getting blocked by the sources: hide
    user-agent and automatically take care of rate limiting
  * Automatically convert/resize image if needed
  * Multiplatform (Windows/Mac/Linux)
 .
 SACAD is designed to be robust and be executed in batch of thousands
 of queries:
 .
  * HTML parsing is done without regex but with the LXML library, which
    is faster, and more robust to page changes
  * When the size of an image reported by a source is not reliable
    (ie. Google Images), automatically download the first KB of the
    file to get its real size from the file header
  * Process several queries simultaneously (using asyncio), to speed up
    processing
  * Automatically reuse TCP connections (HTTP Keep-Alive), for better
    network performance
  * Automatically retry failed HTTP requests
  * Music library scan supports all common audio formats (MP3, AAC,
    Vorbis, FLAC..)
  * Cover sources page or API changes are quickly detected, thanks to
    high test coverage, and SACAD is quickly updated accordingly

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sacad
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "W: failing tests discovery, skipped"

## sacad 2.8.0

=== debian/changelog ===
sacad (2.8.0-2) unstable; urgency=medium

  * Team upload.
  * Replace appdirs with platformdirs 2/2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Sep 2024 19:50:43 +0200

sacad (2.8.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.8.0
  * Replace appdirs with platformdirs

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 18:42:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-aiohttp,
                python3-all,
-               python3-appdirs (>= 1.4.0),
                python3-bitarray,
                python3-cssselect,
                python3-lxml,
                python3-mutagen,
                python3-pil,
+               python3-platformdirs,
                python3-requests,
                python3-setuptools,
                python3-tqdm,
@@ -35,7 +35,7 @@
  .
  SACAD also provides a second command line tool, sacad_r, to scan a
  music library, read metadata from audio tags, and download missing
- covers automatically, optionally embedding the image into audio 
+ covers automatically, optionally embedding the image into audio
  files.
  .
  Features

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sacad

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	echo "W: failing tests discovery, skipped"

## sacad 2.8.3

=== debian/changelog ===
sacad (2.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Oct 2025 09:59:20 -0400

=== debian/watch ===
version=4
# try also https://pypi.debian.net/sacad/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sacad/sacad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
